1#! /bin/sh
2# Generated by configure.
3# Run this file to recreate the current configuration.
4# Compiler output produced by configure, useful for debugging
5# configure, is in config.log if it exists.
6
7debug=false
8ac_cs_recheck=false
9ac_cs_silent=false
10SHELL=${CONFIG_SHELL-/bin/sh}
11## --------------------- ##
12## M4sh Initialization.  ##
13## --------------------- ##
14
15# Be more Bourne compatible
16DUALCASE=1; export DUALCASE # for MKS sh
17if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
18  emulate sh
19  NULLCMD=:
20  # Zsh 3.x and 4.x performs word splitting on ${1+"$@"}, which
21  # is contrary to our usage.  Disable this feature.
22  alias -g '${1+"$@"}'='"$@"'
23  setopt NO_GLOB_SUBST
24else
25  case `(set -o) 2>/dev/null` in
26  *posix*) set -o posix ;;
27esac
28
29fi
30
31
32
33
34# PATH needs CR
35# Avoid depending upon Character Ranges.
36as_cr_letters='abcdefghijklmnopqrstuvwxyz'
37as_cr_LETTERS='ABCDEFGHIJKLMNOPQRSTUVWXYZ'
38as_cr_Letters=$as_cr_letters$as_cr_LETTERS
39as_cr_digits='0123456789'
40as_cr_alnum=$as_cr_Letters$as_cr_digits
41
42# The user is always right.
43if test "${PATH_SEPARATOR+set}" != set; then
44  echo "#! /bin/sh" >conf$$.sh
45  echo  "exit 0"   >>conf$$.sh
46  chmod +x conf$$.sh
47  if (PATH="/nonexistent;."; conf$$.sh) >/dev/null 2>&1; then
48    PATH_SEPARATOR=';'
49  else
50    PATH_SEPARATOR=:
51  fi
52  rm -f conf$$.sh
53fi
54
55# Support unset when possible.
56if ( (MAIL=60; unset MAIL) || exit) >/dev/null 2>&1; then
57  as_unset=unset
58else
59  as_unset=false
60fi
61
62
63# IFS
64# We need space, tab and new line, in precisely that order.  Quoting is
65# there to prevent editors from complaining about space-tab.
66# (If _AS_PATH_WALK were called with IFS unset, it would disable word
67# splitting by setting IFS to empty value.)
68as_nl='
69'
70IFS=" ""	$as_nl"
71
72# Find who we are.  Look in the path if we contain no directory separator.
73case $0 in
74  *[\\/]* ) as_myself=$0 ;;
75  *) as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
76for as_dir in $PATH
77do
78  IFS=$as_save_IFS
79  test -z "$as_dir" && as_dir=.
80  test -r "$as_dir/$0" && as_myself=$as_dir/$0 && break
81done
82IFS=$as_save_IFS
83
84     ;;
85esac
86# We did not find ourselves, most probably we were run as `sh COMMAND'
87# in which case we are not to be found in the path.
88if test "x$as_myself" = x; then
89  as_myself=$0
90fi
91if test ! -f "$as_myself"; then
92  echo "$as_myself: error: cannot find myself; rerun with an absolute file name" >&2
93  { (exit 1); exit 1; }
94fi
95
96# Work around bugs in pre-3.0 UWIN ksh.
97for as_var in ENV MAIL MAILPATH
98do ($as_unset $as_var) >/dev/null 2>&1 && $as_unset $as_var
99done
100PS1='$ '
101PS2='> '
102PS4='+ '
103
104# NLS nuisances.
105for as_var in \
106  LANG LANGUAGE LC_ADDRESS LC_ALL LC_COLLATE LC_CTYPE LC_IDENTIFICATION \
107  LC_MEASUREMENT LC_MESSAGES LC_MONETARY LC_NAME LC_NUMERIC LC_PAPER \
108  LC_TELEPHONE LC_TIME
109do
110  if (set +x; test -z "`(eval $as_var=C; export $as_var) 2>&1`"); then
111    eval $as_var=C; export $as_var
112  else
113    ($as_unset $as_var) >/dev/null 2>&1 && $as_unset $as_var
114  fi
115done
116
117# Required to use basename.
118if expr a : '\(a\)' >/dev/null 2>&1 &&
119   test "X`expr 00001 : '.*\(...\)'`" = X001; then
120  as_expr=expr
121else
122  as_expr=false
123fi
124
125if (basename -- /) >/dev/null 2>&1 && test "X`basename -- / 2>&1`" = "X/"; then
126  as_basename=basename
127else
128  as_basename=false
129fi
130
131
132# Name of the executable.
133as_me=`$as_basename -- "$0" ||
134$as_expr X/"$0" : '.*/\([^/][^/]*\)/*$' \| \
135	 X"$0" : 'X\(//\)$' \| \
136	 X"$0" : 'X\(/\)' \| . 2>/dev/null ||
137echo X/"$0" |
138    sed '/^.*\/\([^/][^/]*\)\/*$/{
139	    s//\1/
140	    q
141	  }
142	  /^X\/\(\/\/\)$/{
143	    s//\1/
144	    q
145	  }
146	  /^X\/\(\/\).*/{
147	    s//\1/
148	    q
149	  }
150	  s/.*/./; q'`
151
152# CDPATH.
153$as_unset CDPATH
154
155
156
157  as_lineno_1=$LINENO
158  as_lineno_2=$LINENO
159  test "x$as_lineno_1" != "x$as_lineno_2" &&
160  test "x`expr $as_lineno_1 + 1`" = "x$as_lineno_2" || {
161
162  # Create $as_me.lineno as a copy of $as_myself, but with $LINENO
163  # uniformly replaced by the line number.  The first 'sed' inserts a
164  # line-number line after each line using $LINENO; the second 'sed'
165  # does the real work.  The second script uses 'N' to pair each
166  # line-number line with the line containing $LINENO, and appends
167  # trailing '-' during substitution so that $LINENO is not a special
168  # case at line end.
169  # (Raja R Harinath suggested sed '=', and Paul Eggert wrote the
170  # scripts with optimization help from Paolo Bonzini.  Blame Lee
171  # E. McMahon (1931-1989) for sed's syntax.  :-)
172  sed -n '
173    p
174    /[$]LINENO/=
175  ' <$as_myself |
176    sed '
177      s/[$]LINENO.*/&-/
178      t lineno
179      b
180      :lineno
181      N
182      :loop
183      s/[$]LINENO\([^'$as_cr_alnum'_].*\n\)\(.*\)/\2\1\2/
184      t loop
185      s/-\n.*//
186    ' >$as_me.lineno &&
187  chmod +x "$as_me.lineno" ||
188    { echo "$as_me: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&2
189   { (exit 1); exit 1; }; }
190
191  # Don't try to exec as it changes $[0], causing all sort of problems
192  # (the dirname of $[0] is not the place where we might find the
193  # original and so on.  Autoconf is especially sensitive to this).
194  . "./$as_me.lineno"
195  # Exit status is that of the last command.
196  exit
197}
198
199
200if (as_dir=`dirname -- /` && test "X$as_dir" = X/) >/dev/null 2>&1; then
201  as_dirname=dirname
202else
203  as_dirname=false
204fi
205
206ECHO_C= ECHO_N= ECHO_T=
207case `echo -n x` in
208-n*)
209  case `echo 'x\c'` in
210  *c*) ECHO_T='	';;	# ECHO_T is single tab character.
211  *)   ECHO_C='\c';;
212  esac;;
213*)
214  ECHO_N='-n';;
215esac
216
217if expr a : '\(a\)' >/dev/null 2>&1 &&
218   test "X`expr 00001 : '.*\(...\)'`" = X001; then
219  as_expr=expr
220else
221  as_expr=false
222fi
223
224rm -f conf$$ conf$$.exe conf$$.file
225if test -d conf$$.dir; then
226  rm -f conf$$.dir/conf$$.file
227else
228  rm -f conf$$.dir
229  mkdir conf$$.dir
230fi
231echo >conf$$.file
232if ln -s conf$$.file conf$$ 2>/dev/null; then
233  as_ln_s='ln -s'
234  # ... but there are two gotchas:
235  # 1) On MSYS, both `ln -s file dir' and `ln file dir' fail.
236  # 2) DJGPP < 2.04 has no symlinks; `ln -s' creates a wrapper executable.
237  # In both cases, we have to default to `cp -p'.
238  ln -s conf$$.file conf$$.dir 2>/dev/null && test ! -f conf$$.exe ||
239    as_ln_s='cp -p'
240elif ln conf$$.file conf$$ 2>/dev/null; then
241  as_ln_s=ln
242else
243  as_ln_s='cp -p'
244fi
245rm -f conf$$ conf$$.exe conf$$.dir/conf$$.file conf$$.file
246rmdir conf$$.dir 2>/dev/null
247
248if mkdir -p . 2>/dev/null; then
249  as_mkdir_p=:
250else
251  test -d ./-p && rmdir ./-p
252  as_mkdir_p=false
253fi
254
255if test -x / >/dev/null 2>&1; then
256  as_test_x='test -x'
257else
258  if ls -dL / >/dev/null 2>&1; then
259    as_ls_L_option=L
260  else
261    as_ls_L_option=
262  fi
263  as_test_x='
264    eval sh -c '\''
265      if test -d "$1"; then
266        test -d "$1/.";
267      else
268	case $1 in
269        -*)set "./$1";;
270	esac;
271	case `ls -ld'$as_ls_L_option' "$1" 2>/dev/null` in
272	???[sx]*):;;*)false;;esac;fi
273    '\'' sh
274  '
275fi
276as_executable_p=$as_test_x
277
278# Sed expression to map a string onto a valid CPP name.
279as_tr_cpp="eval sed 'y%*$as_cr_letters%P$as_cr_LETTERS%;s%[^_$as_cr_alnum]%_%g'"
280
281# Sed expression to map a string onto a valid variable name.
282as_tr_sh="eval sed 'y%*+%pp%;s%[^_$as_cr_alnum]%_%g'"
283
284
285exec 6>&1
286
287# Save the log message, to keep $[0] and so on meaningful, and to
288# report actual input values of CONFIG_FILES etc. instead of their
289# values after options handling.
290ac_log="
291This file was extended by $as_me, which was
292generated by GNU Autoconf 2.61.  Invocation command line was
293
294  CONFIG_FILES    = $CONFIG_FILES
295  CONFIG_HEADERS  = $CONFIG_HEADERS
296  CONFIG_LINKS    = $CONFIG_LINKS
297  CONFIG_COMMANDS = $CONFIG_COMMANDS
298  $ $0 $@
299
300on `(hostname || uname -n) 2>/dev/null | sed 1q`
301"
302
303# Files that config.status was made for.
304config_files=" libxml2.spec:libxml.spec.in Makefile include/Makefile include/libxml/Makefile doc/Makefile doc/examples/Makefile doc/devhelp/Makefile example/Makefile python/Makefile python/tests/Makefile xstc/Makefile include/libxml/xmlversion.h xml2-config libxml-2.0.pc libxml-2.0-uninstalled.pc python/setup.py"
305config_headers=" config.h"
306config_commands=" depfiles"
307
308ac_cs_usage="\
309\`$as_me' instantiates files from templates according to the
310current configuration.
311
312Usage: $0 [OPTIONS] [FILE]...
313
314  -h, --help       print this help, then exit
315  -V, --version    print version number and configuration settings, then exit
316  -q, --quiet      do not print progress messages
317  -d, --debug      don't remove temporary files
318      --recheck    update $as_me by reconfiguring in the same conditions
319  --file=FILE[:TEMPLATE]
320		   instantiate the configuration file FILE
321  --header=FILE[:TEMPLATE]
322		   instantiate the configuration header FILE
323
324Configuration files:
325$config_files
326
327Configuration headers:
328$config_headers
329
330Configuration commands:
331$config_commands
332
333Report bugs to <bug-autoconf@gnu.org>."
334
335ac_cs_version="\
336config.status
337configured by ./configure, generated by GNU Autoconf 2.61,
338  with options \"'--prefix=/usr' 'LDFLAGS=-L${PKG_INSTALL_DIR}/usr/lib' 'CXXFLAGS=-I${PKG_INSTALL_DIR}/usr/include' 'CFLAGS=-I${PKG_INSTALL_DIR}/usr/include' '--host=mipsel-uclibc-linux' '--build=mipsel-uclibc-linux-gnu26' '--target=mipsel-uclibc-linux-gnu26' 'CC=mipsel-linux-uclibc-gcc' 'CXX=mipsel-linux-uclibc-g++' 'STRIP=mipsel-linux-linux26-strip' 'AR=mipsel-linux-linux26-ar' 'NM=mipsel-linux-linux26-nm' 'OBJDUMP=mipsel-linux-linux26-objdump' '--disable-nls' '--enable-shared' '--enable-static' '--without-c14n' '--without-catalog' '--without-debug' '--without-docbook' '--with-html' '--without-ftp' '--without-http' '--without-iconv' '--without-iso8859x' '--without-legacy' '--with-output' '--without-pattern' '--without-push' '--without-python' '--with-reader' '--without-readline' '--without-regexps' '--with-sax1' '--with-schemas' '--with-threads' '--with-tree' '--with-valid' '--with-writer' '--with-xinclude' '--with-xpath' '--with-xptr' '--with-zlib' 'build_alias=mipsel-uclibc-linux-gnu26' 'host_alias=mipsel-uclibc-linux' 'target_alias=mipsel-uclibc-linux-gnu26'\"
339
340Copyright (C) 2006 Free Software Foundation, Inc.
341This config.status script is free software; the Free Software Foundation
342gives unlimited permission to copy, distribute and modify it."
343
344ac_pwd='${TIMEMACHINE_PATH}/libxml2-2.7.2'
345srcdir='.'
346INSTALL='/usr/bin/install -c'
347MKDIR_P='/bin/mkdir -p'
348# If no file are specified by the user, then we need to provide default
349# value.  By we need to know if files were specified by the user.
350ac_need_defaults=:
351while test $# != 0
352do
353  case $1 in
354  --*=*)
355    ac_option=`expr "X$1" : 'X\([^=]*\)='`
356    ac_optarg=`expr "X$1" : 'X[^=]*=\(.*\)'`
357    ac_shift=:
358    ;;
359  *)
360    ac_option=$1
361    ac_optarg=$2
362    ac_shift=shift
363    ;;
364  esac
365
366  case $ac_option in
367  # Handling of the options.
368  -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
369    ac_cs_recheck=: ;;
370  --version | --versio | --versi | --vers | --ver | --ve | --v | -V )
371    echo "$ac_cs_version"; exit ;;
372  --debug | --debu | --deb | --de | --d | -d )
373    debug=: ;;
374  --file | --fil | --fi | --f )
375    $ac_shift
376    CONFIG_FILES="$CONFIG_FILES $ac_optarg"
377    ac_need_defaults=false;;
378  --header | --heade | --head | --hea )
379    $ac_shift
380    CONFIG_HEADERS="$CONFIG_HEADERS $ac_optarg"
381    ac_need_defaults=false;;
382  --he | --h)
383    # Conflict between --help and --header
384    { echo "$as_me: error: ambiguous option: $1
385Try \`$0 --help' for more information." >&2
386   { (exit 1); exit 1; }; };;
387  --help | --hel | -h )
388    echo "$ac_cs_usage"; exit ;;
389  -q | -quiet | --quiet | --quie | --qui | --qu | --q \
390  | -silent | --silent | --silen | --sile | --sil | --si | --s)
391    ac_cs_silent=: ;;
392
393  # This is an error.
394  -*) { echo "$as_me: error: unrecognized option: $1
395Try \`$0 --help' for more information." >&2
396   { (exit 1); exit 1; }; } ;;
397
398  *) ac_config_targets="$ac_config_targets $1"
399     ac_need_defaults=false ;;
400
401  esac
402  shift
403done
404
405ac_configure_extra_args=
406
407if $ac_cs_silent; then
408  exec 6>/dev/null
409  ac_configure_extra_args="$ac_configure_extra_args --silent"
410fi
411
412if $ac_cs_recheck; then
413  echo "running CONFIG_SHELL=/bin/sh /bin/sh ./configure " '--prefix=/usr' 'LDFLAGS=-L${PKG_INSTALL_DIR}/usr/lib' 'CXXFLAGS=-I${PKG_INSTALL_DIR}/usr/include' 'CFLAGS=-I${PKG_INSTALL_DIR}/usr/include' '--host=mipsel-uclibc-linux' '--build=mipsel-uclibc-linux-gnu26' '--target=mipsel-uclibc-linux-gnu26' 'CC=mipsel-linux-uclibc-gcc' 'CXX=mipsel-linux-uclibc-g++' 'STRIP=mipsel-linux-linux26-strip' 'AR=mipsel-linux-linux26-ar' 'NM=mipsel-linux-linux26-nm' 'OBJDUMP=mipsel-linux-linux26-objdump' '--disable-nls' '--enable-shared' '--enable-static' '--without-c14n' '--without-catalog' '--without-debug' '--without-docbook' '--with-html' '--without-ftp' '--without-http' '--without-iconv' '--without-iso8859x' '--without-legacy' '--with-output' '--without-pattern' '--without-push' '--without-python' '--with-reader' '--without-readline' '--without-regexps' '--with-sax1' '--with-schemas' '--with-threads' '--with-tree' '--with-valid' '--with-writer' '--with-xinclude' '--with-xpath' '--with-xptr' '--with-zlib' 'build_alias=mipsel-uclibc-linux-gnu26' 'host_alias=mipsel-uclibc-linux' 'target_alias=mipsel-uclibc-linux-gnu26' $ac_configure_extra_args " --no-create --no-recursion" >&6
414  CONFIG_SHELL=/bin/sh
415  export CONFIG_SHELL
416  exec /bin/sh "./configure" '--prefix=/usr' 'LDFLAGS=-L${PKG_INSTALL_DIR}/usr/lib' 'CXXFLAGS=-I${PKG_INSTALL_DIR}/usr/include' 'CFLAGS=-I${PKG_INSTALL_DIR}/usr/include' '--host=mipsel-uclibc-linux' '--build=mipsel-uclibc-linux-gnu26' '--target=mipsel-uclibc-linux-gnu26' 'CC=mipsel-linux-uclibc-gcc' 'CXX=mipsel-linux-uclibc-g++' 'STRIP=mipsel-linux-linux26-strip' 'AR=mipsel-linux-linux26-ar' 'NM=mipsel-linux-linux26-nm' 'OBJDUMP=mipsel-linux-linux26-objdump' '--disable-nls' '--enable-shared' '--enable-static' '--without-c14n' '--without-catalog' '--without-debug' '--without-docbook' '--with-html' '--without-ftp' '--without-http' '--without-iconv' '--without-iso8859x' '--without-legacy' '--with-output' '--without-pattern' '--without-push' '--without-python' '--with-reader' '--without-readline' '--without-regexps' '--with-sax1' '--with-schemas' '--with-threads' '--with-tree' '--with-valid' '--with-writer' '--with-xinclude' '--with-xpath' '--with-xptr' '--with-zlib' 'build_alias=mipsel-uclibc-linux-gnu26' 'host_alias=mipsel-uclibc-linux' 'target_alias=mipsel-uclibc-linux-gnu26' $ac_configure_extra_args --no-create --no-recursion
417fi
418
419exec 5>>config.log
420{
421  echo
422  sed 'h;s/./-/g;s/^.../## /;s/...$/ ##/;p;x;p;x' <<_ASBOX
423## Running $as_me. ##
424_ASBOX
425  echo "$ac_log"
426} >&5
427
428#
429# INIT-COMMANDS
430#
431AMDEP_TRUE="" ac_aux_dir="."
432
433
434# Handling of arguments.
435for ac_config_target in $ac_config_targets
436do
437  case $ac_config_target in
438    "config.h") CONFIG_HEADERS="$CONFIG_HEADERS config.h" ;;
439    "depfiles") CONFIG_COMMANDS="$CONFIG_COMMANDS depfiles" ;;
440    "libxml2.spec") CONFIG_FILES="$CONFIG_FILES libxml2.spec:libxml.spec.in" ;;
441    "Makefile") CONFIG_FILES="$CONFIG_FILES Makefile" ;;
442    "include/Makefile") CONFIG_FILES="$CONFIG_FILES include/Makefile" ;;
443    "include/libxml/Makefile") CONFIG_FILES="$CONFIG_FILES include/libxml/Makefile" ;;
444    "doc/Makefile") CONFIG_FILES="$CONFIG_FILES doc/Makefile" ;;
445    "doc/examples/Makefile") CONFIG_FILES="$CONFIG_FILES doc/examples/Makefile" ;;
446    "doc/devhelp/Makefile") CONFIG_FILES="$CONFIG_FILES doc/devhelp/Makefile" ;;
447    "example/Makefile") CONFIG_FILES="$CONFIG_FILES example/Makefile" ;;
448    "python/Makefile") CONFIG_FILES="$CONFIG_FILES python/Makefile" ;;
449    "python/tests/Makefile") CONFIG_FILES="$CONFIG_FILES python/tests/Makefile" ;;
450    "xstc/Makefile") CONFIG_FILES="$CONFIG_FILES xstc/Makefile" ;;
451    "include/libxml/xmlversion.h") CONFIG_FILES="$CONFIG_FILES include/libxml/xmlversion.h" ;;
452    "xml2-config") CONFIG_FILES="$CONFIG_FILES xml2-config" ;;
453    "libxml-2.0.pc") CONFIG_FILES="$CONFIG_FILES libxml-2.0.pc" ;;
454    "libxml-2.0-uninstalled.pc") CONFIG_FILES="$CONFIG_FILES libxml-2.0-uninstalled.pc" ;;
455    "python/setup.py") CONFIG_FILES="$CONFIG_FILES python/setup.py" ;;
456
457  *) { { echo "$as_me:$LINENO: error: invalid argument: $ac_config_target" >&5
458echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
459   { (exit 1); exit 1; }; };;
460  esac
461done
462
463
464# If the user did not use the arguments to specify the items to instantiate,
465# then the envvar interface is used.  Set only those that are not.
466# We use the long form for the default assignment because of an extremely
467# bizarre bug on SunOS 4.1.3.
468if $ac_need_defaults; then
469  test "${CONFIG_FILES+set}" = set || CONFIG_FILES=$config_files
470  test "${CONFIG_HEADERS+set}" = set || CONFIG_HEADERS=$config_headers
471  test "${CONFIG_COMMANDS+set}" = set || CONFIG_COMMANDS=$config_commands
472fi
473
474# Have a temporary directory for convenience.  Make it in the build tree
475# simply because there is no reason against having it here, and in addition,
476# creating and moving files from /tmp can sometimes cause problems.
477# Hook for its removal unless debugging.
478# Note that there is a small window in which the directory will not be cleaned:
479# after its creation but before its name has been assigned to `$tmp'.
480$debug ||
481{
482  tmp=
483  trap 'exit_status=$?
484  { test -z "$tmp" || test ! -d "$tmp" || rm -fr "$tmp"; } && exit $exit_status
485' 0
486  trap '{ (exit 1); exit 1; }' 1 2 13 15
487}
488# Create a (secure) tmp directory for tmp files.
489
490{
491  tmp=`(umask 077 && mktemp -d "./confXXXXXX") 2>/dev/null` &&
492  test -n "$tmp" && test -d "$tmp"
493}  ||
494{
495  tmp=./conf$$-$RANDOM
496  (umask 077 && mkdir "$tmp")
497} ||
498{
499   echo "$me: cannot create a temporary directory in ." >&2
500   { (exit 1); exit 1; }
501}
502
503#
504# Set up the sed scripts for CONFIG_FILES section.
505#
506
507# No need to generate the scripts if there are no CONFIG_FILES.
508# This happens for instance when ./config.status config.h
509if test -n "$CONFIG_FILES"; then
510
511cat >"$tmp/subs-1.sed" <<\CEOF
512/@[a-zA-Z_][a-zA-Z_0-9]*@/!b
513s,@SHELL@,|#_!!_#|/bin/sh,g
514s,@PATH_SEPARATOR@,|#_!!_#|:,g
515s,@PACKAGE_NAME@,|#_!!_#|,g
516s,@PACKAGE_TARNAME@,|#_!!_#|,g
517s,@PACKAGE_VERSION@,|#_!!_#|,g
518s,@PACKAGE_STRING@,|#_!!_#|,g
519s,@PACKAGE_BUGREPORT@,|#_!!_#|,g
520s,@exec_prefix@,|#_!!_#|/usr,g
521s,@prefix@,|#_!!_#|/usr,g
522s,@program_transform_name@,|#_!!_#|s\&$$\&\&;s\&^\&\&,g
523s,@bindir@,|#_!!_#|/usr/bin,g
524s,@sbindir@,|#_!!_#|/usr/sbin,g
525s,@libexecdir@,|#_!!_#|/usr/lib,g
526s,@datarootdir@,|#_!!_#|${prefix}/share,g
527s,@datadir@,|#_!!_#|/usr/share,g
528s,@sysconfdir@,|#_!!_#|/etc,g
529s,@sharedstatedir@,|#_!!_#|${prefix}/com,g
530s,@localstatedir@,|#_!!_#|/var,g
531s,@includedir@,|#_!!_#|${prefix}/include,g
532s,@oldincludedir@,|#_!!_#|/usr/include,g
533s,@docdir@,|#_!!_#|${datarootdir}/doc/${PACKAGE},g
534s,@infodir@,|#_!!_#|/usr/info,g
535s,@htmldir@,|#_!!_#|${docdir},g
536s,@dvidir@,|#_!!_#|${docdir},g
537s,@pdfdir@,|#_!!_#|${docdir},g
538s,@psdir@,|#_!!_#|${docdir},g
539s,@libdir@,|#_!!_#|${exec_prefix}/lib,g
540s,@localedir@,|#_!!_#|${datarootdir}/locale,g
541s,@mandir@,|#_!!_#|/usr/man,g
542s,@DEFS@,|#_!!_#|-DHAVE_CONFIG_H,g
543s,@ECHO_C@,|#_!!_#|,g
544s,@ECHO_N@,|#_!!_#|-n,g
545s,@ECHO_T@,|#_!!_#|,g
546s,@LIBS@,|#_!!_#|,g
547s,@build_alias@,|#_!!_#|mipsel-uclibc-linux-gnu26,g
548s,@host_alias@,|#_!!_#|mipsel-uclibc-linux,g
549s,@target_alias@,|#_!!_#|mipsel-uclibc-linux-gnu26,g
550s,@build@,|#_!!_#|mipsel-uclibc-linux-gnu26,g
551s,@build_cpu@,|#_!!_#|mipsel,g
552s,@build_vendor@,|#_!!_#|uclibc,g
553s,@build_os@,|#_!!_#|linux-gnu26,g
554s,@host@,|#_!!_#|mipsel-uclibc-linux-gnu,g
555s,@host_cpu@,|#_!!_#|mipsel,g
556s,@host_vendor@,|#_!!_#|uclibc,g
557s,@host_os@,|#_!!_#|linux-gnu,g
558s,@LIBXML_MAJOR_VERSION@,|#_!!_#|2,g
559s,@LIBXML_MINOR_VERSION@,|#_!!_#|7,g
560s,@LIBXML_MICRO_VERSION@,|#_!!_#|2,g
561s,@LIBXML_VERSION@,|#_!!_#|2.7.2,g
562s,@LIBXML_VERSION_INFO@,|#_!!_#|9:2:7,g
563s,@LIBXML_VERSION_NUMBER@,|#_!!_#|20702,g
564s,@LIBXML_VERSION_EXTRA@,|#_!!_#|,g
565s,@INSTALL_PROGRAM@,|#_!!_#|${INSTALL},g
566s,@INSTALL_SCRIPT@,|#_!!_#|${INSTALL},g
567s,@INSTALL_DATA@,|#_!!_#|${INSTALL} -m 644,g
568s,@am__isrc@,|#_!!_#|,g
569s,@CYGPATH_W@,|#_!!_#|echo,g
570s,@PACKAGE@,|#_!!_#|libxml2,g
571s,@VERSION@,|#_!!_#|2.7.2,g
572s,@ACLOCAL@,|#_!!_#|${SHELL} ${TIMEMACHINE_PATH}/libxml2-2.7.2/missing --run aclocal-1.10,g
573s,@AUTOCONF@,|#_!!_#|${SHELL} ${TIMEMACHINE_PATH}/libxml2-2.7.2/missing --run autoconf,g
574s,@AUTOMAKE@,|#_!!_#|${SHELL} ${TIMEMACHINE_PATH}/libxml2-2.7.2/missing --run automake-1.10,g
575s,@AUTOHEADER@,|#_!!_#|${SHELL} ${TIMEMACHINE_PATH}/libxml2-2.7.2/missing --run autoheader,g
576s,@MAKEINFO@,|#_!!_#|${SHELL} ${TIMEMACHINE_PATH}/libxml2-2.7.2/missing --run makeinfo,g
577s,@install_sh@,|#_!!_#|$(SHELL) ${TIMEMACHINE_PATH}/libxml2-2.7.2/install-sh,g
578s,@STRIP@,|#_!!_#|mipsel-linux-linux26-strip,g
579s,@INSTALL_STRIP_PROGRAM@,|#_!!_#|$(install_sh) -c -s,g
580s,@mkdir_p@,|#_!!_#|/bin/mkdir -p,g
581s,@AWK@,|#_!!_#|gawk,g
582s,@SET_MAKE@,|#_!!_#|,g
583s,@am__leading_dot@,|#_!!_#|.,g
584s,@AMTAR@,|#_!!_#|${SHELL} ${TIMEMACHINE_PATH}/libxml2-2.7.2/missing --run tar,g
585s,@am__tar@,|#_!!_#|${AMTAR} chof - "$$tardir",g
586s,@am__untar@,|#_!!_#|${AMTAR} xf -,g
587s,@CC@,|#_!!_#|mipsel-linux-uclibc-gcc,g
588s,@CFLAGS@,|#_!!_#|-I${PKG_INSTALL_DIR}/usr/include -pedantic -W -Wformat -Wunused -Wimplicit -Wreturn-type -Wswitch -Wcomment -Wtrigraphs -Wformat -Wchar-subscripts -Wuninitialized -Wparentheses -Wshadow -Wpointer-arith -Wcast-align -Wwrite-strings -Waggregate-return -Wstrict-prototypes -Wmissing-prototypes -Wnested-externs -Winline -Wredundant-decls,g
589s,@LDFLAGS@,|#_!!_#|-L${PKG_INSTALL_DIR}/usr/lib,g
590s,@CPPFLAGS@,|#_!!_#|,g
591s,@ac_ct_CC@,|#_!!_#|,g
592s,@EXEEXT@,|#_!!_#|,g
593s,@OBJEXT@,|#_!!_#|o,g
594s,@DEPDIR@,|#_!!_#|.deps,g
595s,@am__include@,|#_!!_#|include,g
596s,@am__quote@,|#_!!_#|,g
597s,@AMDEP_TRUE@,|#_!!_#|,g
598s,@AMDEP_FALSE@,|#_!!_#|#,g
599s,@AMDEPBACKSLASH@,|#_!!_#|\\,g
600s,@CCDEPMODE@,|#_!!_#|depmode=gcc3,g
601s,@am__fastdepCC_TRUE@,|#_!!_#|,g
602s,@am__fastdepCC_FALSE@,|#_!!_#|#,g
603s,@CPP@,|#_!!_#|mipsel-linux-uclibc-gcc -E,g
604s,@RM@,|#_!!_#|/bin/rm,g
605s,@MV@,|#_!!_#|/bin/mv,g
606s,@TAR@,|#_!!_#|/bin/tar,g
607s,@PERL@,|#_!!_#|/usr/bin/perl,g
608s,@WGET@,|#_!!_#|/usr/bin/wget,g
609s,@XMLLINT@,|#_!!_#|/usr/bin/xmllint,g
610CEOF
611cat >"$tmp/subs-2.sed" <<\CEOF
612/@[a-zA-Z_][a-zA-Z_0-9]*@/!b
613s,@XSLTPROC@,|#_!!_#|/usr/bin/xsltproc,g
614s,@GREP@,|#_!!_#|/bin/grep,g
615s,@EGREP@,|#_!!_#|/bin/grep -E,g
616s,@U@,|#_!!_#|,g
617s,@ANSI2KNR@,|#_!!_#|,g
618s,@SED@,|#_!!_#|/bin/sed,g
619s,@LN_S@,|#_!!_#|ln -s,g
620s,@ECHO@,|#_!!_#|echo,g
621s,@AR@,|#_!!_#|mipsel-linux-linux26-ar,g
622s,@RANLIB@,|#_!!_#|ranlib,g
623s,@DLLTOOL@,|#_!!_#|dlltool,g
624s,@AS@,|#_!!_#|as,g
625s,@OBJDUMP@,|#_!!_#|mipsel-linux-linux26-objdump,g
626s,@CXX@,|#_!!_#|mipsel-linux-uclibc-g++,g
627s,@CXXFLAGS@,|#_!!_#|-I${PKG_INSTALL_DIR}/usr/include,g
628s,@ac_ct_CXX@,|#_!!_#|,g
629s,@CXXDEPMODE@,|#_!!_#|depmode=gcc3,g
630s,@am__fastdepCXX_TRUE@,|#_!!_#|,g
631s,@am__fastdepCXX_FALSE@,|#_!!_#|#,g
632s,@CXXCPP@,|#_!!_#|mipsel-linux-uclibc-g++ -E,g
633s,@F77@,|#_!!_#|gfortran,g
634s,@FFLAGS@,|#_!!_#|-g -O2,g
635s,@ac_ct_F77@,|#_!!_#|gfortran,g
636s,@LIBTOOL@,|#_!!_#|$(SHELL) $(top_builddir)/libtool,g
637s,@HTML_DIR@,|#_!!_#|$(datadir)/doc/$(PACKAGE)-$(VERSION)/html,g
638s,@Z_CFLAGS@,|#_!!_#|,g
639s,@Z_LIBS@,|#_!!_#|-lz,g
640s,@WITH_ZLIB@,|#_!!_#|1,g
641s,@PYTHON@,|#_!!_#|,g
642s,@WITH_PYTHON_TRUE@,|#_!!_#|#,g
643s,@WITH_PYTHON_FALSE@,|#_!!_#|,g
644s,@pythondir@,|#_!!_#|,g
645s,@PYTHON_SUBDIR@,|#_!!_#|,g
646s,@WITH_MODULES@,|#_!!_#|1,g
647s,@MODULE_PLATFORM_LIBS@,|#_!!_#|-ldl,g
648s,@MODULE_EXTENSION@,|#_!!_#|.so,g
649s,@TEST_MODULES@,|#_!!_#|ModuleTests,g
650s,@STATIC_BINARIES@,|#_!!_#|,g
651s,@WITH_TRIO_SOURCES_TRUE@,|#_!!_#|#,g
652s,@WITH_TRIO_SOURCES_FALSE@,|#_!!_#|,g
653s,@WITH_TRIO@,|#_!!_#|0,g
654s,@THREAD_LIBS@,|#_!!_#|,g
655s,@BASE_THREAD_LIBS@,|#_!!_#|-lpthread,g
656s,@WITH_THREADS@,|#_!!_#|1,g
657s,@THREAD_CFLAGS@,|#_!!_#| -D_REENTRANT,g
658s,@TEST_THREADS@,|#_!!_#|Threadtests,g
659s,@THREADS_W32@,|#_!!_#|,g
660s,@WITH_TREE@,|#_!!_#|1,g
661s,@WITH_FTP@,|#_!!_#|0,g
662s,@FTP_OBJ@,|#_!!_#|,g
663s,@WITH_HTTP@,|#_!!_#|0,g
664s,@HTTP_OBJ@,|#_!!_#|,g
665s,@WITH_LEGACY@,|#_!!_#|0,g
666s,@WITH_READER@,|#_!!_#|1,g
667s,@READER_TEST@,|#_!!_#|Readertests,g
668s,@WITH_WRITER@,|#_!!_#|1,g
669s,@WITH_PATTERN@,|#_!!_#|1,g
670s,@TEST_PATTERN@,|#_!!_#|Patterntests,g
671s,@WITH_SAX1@,|#_!!_#|1,g
672s,@TEST_SAX@,|#_!!_#|SAXtests,g
673s,@WITH_PUSH@,|#_!!_#|1,g
674s,@TEST_PUSH@,|#_!!_#|XMLPushtests,g
675s,@WITH_HTML@,|#_!!_#|1,g
676s,@HTML_OBJ@,|#_!!_#|HTMLparser.o HTMLtree.o,g
677s,@TEST_HTML@,|#_!!_#|HTMLtests,g
678s,@TEST_PHTML@,|#_!!_#|HTMLPushtests,g
679s,@WITH_VALID@,|#_!!_#|1,g
680s,@TEST_VALID@,|#_!!_#|Validtests,g
681s,@TEST_VTIME@,|#_!!_#|VTimingtests,g
682s,@WITH_CATALOG@,|#_!!_#|0,g
683s,@CATALOG_OBJ@,|#_!!_#|,g
684s,@TEST_CATALOG@,|#_!!_#|,g
685s,@WITH_DOCB@,|#_!!_#|0,g
686s,@DOCB_OBJ@,|#_!!_#|,g
687s,@WITH_XPTR@,|#_!!_#|1,g
688s,@XPTR_OBJ@,|#_!!_#|xpointer.o,g
689s,@TEST_XPTR@,|#_!!_#|XPtrtests,g
690s,@WITH_C14N@,|#_!!_#|0,g
691s,@C14N_OBJ@,|#_!!_#|,g
692s,@TEST_C14N@,|#_!!_#|,g
693s,@WITH_XINCLUDE@,|#_!!_#|1,g
694s,@XINCLUDE_OBJ@,|#_!!_#|xinclude.o,g
695s,@TEST_XINCLUDE@,|#_!!_#|XIncludetests,g
696s,@WITH_XPATH@,|#_!!_#|1,g
697s,@XPATH_OBJ@,|#_!!_#|xpath.o,g
698s,@TEST_XPATH@,|#_!!_#|XPathtests,g
699s,@WITH_OUTPUT@,|#_!!_#|1,g
700s,@WITH_ICONV@,|#_!!_#|0,g
701s,@WITH_ISO8859X@,|#_!!_#|0,g
702s,@WITH_SCHEMATRON@,|#_!!_#|1,g
703s,@TEST_SCHEMATRON@,|#_!!_#|Schematrontests,g
704s,@WITH_SCHEMAS@,|#_!!_#|1,g
705s,@TEST_SCHEMAS@,|#_!!_#|Schemastests Relaxtests,g
706s,@WITH_REGEXPS@,|#_!!_#|1,g
707s,@TEST_REGEXPS@,|#_!!_#|Regexptests Automatatests,g
708s,@WITH_DEBUG@,|#_!!_#|0,g
709s,@DEBUG_OBJ@,|#_!!_#|,g
710CEOF
711cat >"$tmp/subs-3.sed" <<\CEOF
712/@[a-zA-Z_][a-zA-Z_0-9]*@/!b end
713s,@TEST_DEBUG@,|#_!!_#|,g
714s,@WITH_MEM_DEBUG@,|#_!!_#|0,g
715s,@WITH_RUN_DEBUG@,|#_!!_#|0,g
716s,@WIN32_EXTRA_LIBADD@,|#_!!_#|,g
717s,@WIN32_EXTRA_LDFLAGS@,|#_!!_#|,g
718s,@CYGWIN_EXTRA_LDFLAGS@,|#_!!_#|,g
719s,@CYGWIN_EXTRA_PYTHON_LIBADD@,|#_!!_#|,g
720s,@XML_CFLAGS@,|#_!!_#|,g
721s,@XML_LIBDIR@,|#_!!_#|-L${libdir},g
722s,@XML_LIBS@,|#_!!_#|-lxml2 -lz   -lm ,g
723s,@XML_LIBTOOLLIBS@,|#_!!_#|libxml2.la,g
724s,@ICONV_LIBS@,|#_!!_#|,g
725s,@XML_INCLUDEDIR@,|#_!!_#|-I${includedir}/libxml2,g
726s,@HAVE_ISNAN@,|#_!!_#|,g
727s,@HAVE_ISINF@,|#_!!_#|,g
728s,@PYTHON_VERSION@,|#_!!_#|,g
729s,@PYTHON_INCLUDES@,|#_!!_#|,g
730s,@PYTHON_SITE_PACKAGES@,|#_!!_#|,g
731s,@M_LIBS@,|#_!!_#|-lm,g
732s,@RDL_LIBS@,|#_!!_#|,g
733s,@RELDATE@,|#_!!_#|Fri Dec  9 2011,g
734s,@PYTHON_TESTS@,|#_!!_#|,g
735s,@LIBOBJS@,|#_!!_#|,g
736s,@LTLIBOBJS@,|#_!!_#|,g
737:end
738s/|#_!!_#|//g
739CEOF
740fi # test -n "$CONFIG_FILES"
741
742
743for ac_tag in  :F $CONFIG_FILES  :H $CONFIG_HEADERS    :C $CONFIG_COMMANDS
744do
745  case $ac_tag in
746  :[FHLC]) ac_mode=$ac_tag; continue;;
747  esac
748  case $ac_mode$ac_tag in
749  :[FHL]*:*);;
750  :L* | :C*:*) { { echo "$as_me:$LINENO: error: Invalid tag $ac_tag." >&5
751echo "$as_me: error: Invalid tag $ac_tag." >&2;}
752   { (exit 1); exit 1; }; };;
753  :[FH]-) ac_tag=-:-;;
754  :[FH]*) ac_tag=$ac_tag:$ac_tag.in;;
755  esac
756  ac_save_IFS=$IFS
757  IFS=:
758  set x $ac_tag
759  IFS=$ac_save_IFS
760  shift
761  ac_file=$1
762  shift
763
764  case $ac_mode in
765  :L) ac_source=$1;;
766  :[FH])
767    ac_file_inputs=
768    for ac_f
769    do
770      case $ac_f in
771      -) ac_f="$tmp/stdin";;
772      *) # Look for the file first in the build tree, then in the source tree
773	 # (if the path is not absolute).  The absolute path cannot be DOS-style,
774	 # because $ac_f cannot contain `:'.
775	 test -f "$ac_f" ||
776	   case $ac_f in
777	   [\\/$]*) false;;
778	   *) test -f "$srcdir/$ac_f" && ac_f="$srcdir/$ac_f";;
779	   esac ||
780	   { { echo "$as_me:$LINENO: error: cannot find input file: $ac_f" >&5
781echo "$as_me: error: cannot find input file: $ac_f" >&2;}
782   { (exit 1); exit 1; }; };;
783      esac
784      ac_file_inputs="$ac_file_inputs $ac_f"
785    done
786
787    # Let's still pretend it is `configure' which instantiates (i.e., don't
788    # use $as_me), people would be surprised to read:
789    #    /* config.h.  Generated by config.status.  */
790    configure_input="Generated from "`IFS=:
791	  echo $* | sed 's|^[^:]*/||;s|:[^:]*/|, |g'`" by configure."
792    if test x"$ac_file" != x-; then
793      configure_input="$ac_file.  $configure_input"
794      { echo "$as_me:$LINENO: creating $ac_file" >&5
795echo "$as_me: creating $ac_file" >&6;}
796    fi
797
798    case $ac_tag in
799    *:-:* | *:-) cat >"$tmp/stdin";;
800    esac
801    ;;
802  esac
803
804  ac_dir=`$as_dirname -- "$ac_file" ||
805$as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
806	 X"$ac_file" : 'X\(//\)[^/]' \| \
807	 X"$ac_file" : 'X\(//\)$' \| \
808	 X"$ac_file" : 'X\(/\)' \| . 2>/dev/null ||
809echo X"$ac_file" |
810    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
811	    s//\1/
812	    q
813	  }
814	  /^X\(\/\/\)[^/].*/{
815	    s//\1/
816	    q
817	  }
818	  /^X\(\/\/\)$/{
819	    s//\1/
820	    q
821	  }
822	  /^X\(\/\).*/{
823	    s//\1/
824	    q
825	  }
826	  s/.*/./; q'`
827  { as_dir="$ac_dir"
828  case $as_dir in #(
829  -*) as_dir=./$as_dir;;
830  esac
831  test -d "$as_dir" || { $as_mkdir_p && mkdir -p "$as_dir"; } || {
832    as_dirs=
833    while :; do
834      case $as_dir in #(
835      *\'*) as_qdir=`echo "$as_dir" | sed "s/'/'\\\\\\\\''/g"`;; #(
836      *) as_qdir=$as_dir;;
837      esac
838      as_dirs="'$as_qdir' $as_dirs"
839      as_dir=`$as_dirname -- "$as_dir" ||
840$as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
841	 X"$as_dir" : 'X\(//\)[^/]' \| \
842	 X"$as_dir" : 'X\(//\)$' \| \
843	 X"$as_dir" : 'X\(/\)' \| . 2>/dev/null ||
844echo X"$as_dir" |
845    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
846	    s//\1/
847	    q
848	  }
849	  /^X\(\/\/\)[^/].*/{
850	    s//\1/
851	    q
852	  }
853	  /^X\(\/\/\)$/{
854	    s//\1/
855	    q
856	  }
857	  /^X\(\/\).*/{
858	    s//\1/
859	    q
860	  }
861	  s/.*/./; q'`
862      test -d "$as_dir" && break
863    done
864    test -z "$as_dirs" || eval "mkdir $as_dirs"
865  } || test -d "$as_dir" || { { echo "$as_me:$LINENO: error: cannot create directory $as_dir" >&5
866echo "$as_me: error: cannot create directory $as_dir" >&2;}
867   { (exit 1); exit 1; }; }; }
868  ac_builddir=.
869
870case "$ac_dir" in
871.) ac_dir_suffix= ac_top_builddir_sub=. ac_top_build_prefix= ;;
872*)
873  ac_dir_suffix=/`echo "$ac_dir" | sed 's,^\.[\\/],,'`
874  # A ".." for each directory in $ac_dir_suffix.
875  ac_top_builddir_sub=`echo "$ac_dir_suffix" | sed 's,/[^\\/]*,/..,g;s,/,,'`
876  case $ac_top_builddir_sub in
877  "") ac_top_builddir_sub=. ac_top_build_prefix= ;;
878  *)  ac_top_build_prefix=$ac_top_builddir_sub/ ;;
879  esac ;;
880esac
881ac_abs_top_builddir=$ac_pwd
882ac_abs_builddir=$ac_pwd$ac_dir_suffix
883# for backward compatibility:
884ac_top_builddir=$ac_top_build_prefix
885
886case $srcdir in
887  .)  # We are building in place.
888    ac_srcdir=.
889    ac_top_srcdir=$ac_top_builddir_sub
890    ac_abs_top_srcdir=$ac_pwd ;;
891  [\\/]* | ?:[\\/]* )  # Absolute name.
892    ac_srcdir=$srcdir$ac_dir_suffix;
893    ac_top_srcdir=$srcdir
894    ac_abs_top_srcdir=$srcdir ;;
895  *) # Relative name.
896    ac_srcdir=$ac_top_build_prefix$srcdir$ac_dir_suffix
897    ac_top_srcdir=$ac_top_build_prefix$srcdir
898    ac_abs_top_srcdir=$ac_pwd/$srcdir ;;
899esac
900ac_abs_srcdir=$ac_abs_top_srcdir$ac_dir_suffix
901
902
903  case $ac_mode in
904  :F)
905  #
906  # CONFIG_FILE
907  #
908
909  case $INSTALL in
910  [\\/$]* | ?:[\\/]* ) ac_INSTALL=$INSTALL ;;
911  *) ac_INSTALL=$ac_top_build_prefix$INSTALL ;;
912  esac
913  ac_MKDIR_P=$MKDIR_P
914  case $MKDIR_P in
915  [\\/$]* | ?:[\\/]* ) ;;
916  */*) ac_MKDIR_P=$ac_top_build_prefix$MKDIR_P ;;
917  esac
918# If the template does not know about datarootdir, expand it.
919# FIXME: This hack should be removed a few years after 2.60.
920ac_datarootdir_hack=; ac_datarootdir_seen=
921
922case `sed -n '/datarootdir/ {
923  p
924  q
925}
926/@datadir@/p
927/@docdir@/p
928/@infodir@/p
929/@localedir@/p
930/@mandir@/p
931' $ac_file_inputs` in
932*datarootdir*) ac_datarootdir_seen=yes;;
933*@datadir@*|*@docdir@*|*@infodir@*|*@localedir@*|*@mandir@*)
934  { echo "$as_me:$LINENO: WARNING: $ac_file_inputs seems to ignore the --datarootdir setting" >&5
935echo "$as_me: WARNING: $ac_file_inputs seems to ignore the --datarootdir setting" >&2;}
936  ac_datarootdir_hack='
937  s&@datadir@&/usr/share&g
938  s&@docdir@&${datarootdir}/doc/${PACKAGE}&g
939  s&@infodir@&/usr/info&g
940  s&@localedir@&${datarootdir}/locale&g
941  s&@mandir@&/usr/man&g
942    s&\${datarootdir}&${prefix}/share&g' ;;
943esac
944  sed "/^[	 ]*VPATH[	 ]*=/{
945s/:*\$(srcdir):*/:/
946s/:*\${srcdir}:*/:/
947s/:*@srcdir@:*/:/
948s/^\([^=]*=[	 ]*\):*/\1/
949s/:*$//
950s/^[^=]*=[	 ]*$//
951}
952
953:t
954/@[a-zA-Z_][a-zA-Z_0-9]*@/!b
955s&@configure_input@&$configure_input&;t t
956s&@top_builddir@&$ac_top_builddir_sub&;t t
957s&@srcdir@&$ac_srcdir&;t t
958s&@abs_srcdir@&$ac_abs_srcdir&;t t
959s&@top_srcdir@&$ac_top_srcdir&;t t
960s&@abs_top_srcdir@&$ac_abs_top_srcdir&;t t
961s&@builddir@&$ac_builddir&;t t
962s&@abs_builddir@&$ac_abs_builddir&;t t
963s&@abs_top_builddir@&$ac_abs_top_builddir&;t t
964s&@INSTALL@&$ac_INSTALL&;t t
965s&@MKDIR_P@&$ac_MKDIR_P&;t t
966$ac_datarootdir_hack
967" $ac_file_inputs | sed -f "$tmp/subs-1.sed" | sed -f "$tmp/subs-2.sed" | sed -f "$tmp/subs-3.sed" >$tmp/out
968
969test -z "$ac_datarootdir_hack$ac_datarootdir_seen" &&
970  { ac_out=`sed -n '/\${datarootdir}/p' "$tmp/out"`; test -n "$ac_out"; } &&
971  { ac_out=`sed -n '/^[	 ]*datarootdir[	 ]*:*=/p' "$tmp/out"`; test -z "$ac_out"; } &&
972  { echo "$as_me:$LINENO: WARNING: $ac_file contains a reference to the variable \`datarootdir'
973which seems to be undefined.  Please make sure it is defined." >&5
974echo "$as_me: WARNING: $ac_file contains a reference to the variable \`datarootdir'
975which seems to be undefined.  Please make sure it is defined." >&2;}
976
977  rm -f "$tmp/stdin"
978  case $ac_file in
979  -) cat "$tmp/out"; rm -f "$tmp/out";;
980  *) rm -f "$ac_file"; mv "$tmp/out" $ac_file;;
981  esac
982 ;;
983  :H)
984  #
985  # CONFIG_HEADER
986  #
987    # First, check the format of the line:
988    cat >"$tmp/defines.sed" <<\CEOF
989/^[	 ]*#[	 ]*undef[	 ][	 ]*[_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ][_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789]*[	 ]*$/b def
990/^[	 ]*#[	 ]*define[	 ][	 ]*[_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ][_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789]*[(	 ]/b def
991b
992:def
993s/$/ /
994s,^\([	 #]*\)[^	 ]*\([	 ]*PACKAGE_NAME\)[	 (].*,\1define\2 "" ,
995s,^\([	 #]*\)[^	 ]*\([	 ]*PACKAGE_TARNAME\)[	 (].*,\1define\2 "" ,
996s,^\([	 #]*\)[^	 ]*\([	 ]*PACKAGE_VERSION\)[	 (].*,\1define\2 "" ,
997s,^\([	 #]*\)[^	 ]*\([	 ]*PACKAGE_STRING\)[	 (].*,\1define\2 "" ,
998s,^\([	 #]*\)[^	 ]*\([	 ]*PACKAGE_BUGREPORT\)[	 (].*,\1define\2 "" ,
999s,^\([	 #]*\)[^	 ]*\([	 ]*PACKAGE\)[	 (].*,\1define\2 "libxml2" ,
1000s,^\([	 #]*\)[^	 ]*\([	 ]*VERSION\)[	 (].*,\1define\2 "2.7.2" ,
1001s,^\([	 #]*\)[^	 ]*\([	 ]*PROTOTYPES\)[	 (].*,\1define\2 1 ,
1002s,^\([	 #]*\)[^	 ]*\([	 ]*__PROTOTYPES\)[	 (].*,\1define\2 1 ,
1003s,^\([	 #]*\)[^	 ]*\([	 ]*STDC_HEADERS\)[	 (].*,\1define\2 1 ,
1004s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_SYS_TYPES_H\)[	 (].*,\1define\2 1 ,
1005s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_SYS_STAT_H\)[	 (].*,\1define\2 1 ,
1006s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_STDLIB_H\)[	 (].*,\1define\2 1 ,
1007s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_STRING_H\)[	 (].*,\1define\2 1 ,
1008s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_MEMORY_H\)[	 (].*,\1define\2 1 ,
1009s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_STRINGS_H\)[	 (].*,\1define\2 1 ,
1010s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_INTTYPES_H\)[	 (].*,\1define\2 1 ,
1011s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_STDINT_H\)[	 (].*,\1define\2 1 ,
1012s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_UNISTD_H\)[	 (].*,\1define\2 1 ,
1013s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_STRING_H\)[	 (].*,\1define\2 1 ,
1014s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_DLFCN_H\)[	 (].*,\1define\2 1 ,
1015s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_ZLIB_H\)[	 (].*,\1define\2 1 ,
1016s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_LIBZ\)[	 (].*,\1define\2 1 ,
1017s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_DIRENT_H\)[	 (].*,\1define\2 1 ,
1018s,^\([	 #]*\)[^	 ]*\([	 ]*STDC_HEADERS\)[	 (].*,\1define\2 1 ,
1019s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_FCNTL_H\)[	 (].*,\1define\2 1 ,
1020s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_UNISTD_H\)[	 (].*,\1define\2 1 ,
1021s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_CTYPE_H\)[	 (].*,\1define\2 1 ,
1022s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_DIRENT_H\)[	 (].*,\1define\2 1 ,
1023s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_ERRNO_H\)[	 (].*,\1define\2 1 ,
1024s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_MALLOC_H\)[	 (].*,\1define\2 1 ,
1025s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_STDARG_H\)[	 (].*,\1define\2 1 ,
1026s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_SYS_STAT_H\)[	 (].*,\1define\2 1 ,
1027s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_SYS_TYPES_H\)[	 (].*,\1define\2 1 ,
1028s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_STDINT_H\)[	 (].*,\1define\2 1 ,
1029s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_TIME_H\)[	 (].*,\1define\2 1 ,
1030s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_MATH_H\)[	 (].*,\1define\2 1 ,
1031s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_LIMITS_H\)[	 (].*,\1define\2 1 ,
1032s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_FLOAT_H\)[	 (].*,\1define\2 1 ,
1033s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_STDLIB_H\)[	 (].*,\1define\2 1 ,
1034s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_SYS_SOCKET_H\)[	 (].*,\1define\2 1 ,
1035s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_NETINET_IN_H\)[	 (].*,\1define\2 1 ,
1036s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_ARPA_INET_H\)[	 (].*,\1define\2 1 ,
1037s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_NETDB_H\)[	 (].*,\1define\2 1 ,
1038s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_SYS_TIME_H\)[	 (].*,\1define\2 1 ,
1039s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_SYS_SELECT_H\)[	 (].*,\1define\2 1 ,
1040s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_SYS_MMAN_H\)[	 (].*,\1define\2 1 ,
1041s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_SYS_TIMEB_H\)[	 (].*,\1define\2 1 ,
1042s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_SIGNAL_H\)[	 (].*,\1define\2 1 ,
1043CEOF
1044    sed -f "$tmp/defines.sed" $ac_file_inputs >"$tmp/out1"
1045    # First, check the format of the line:
1046    cat >"$tmp/defines.sed" <<\CEOF
1047/^[	 ]*#[	 ]*undef[	 ][	 ]*[_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ][_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789]*[	 ]*$/b def
1048/^[	 ]*#[	 ]*define[	 ][	 ]*[_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ][_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789]*[(	 ]/b def
1049b
1050:def
1051s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_ARPA_NAMESER_H\)[	 (].*,\1define\2 1 ,
1052s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_RESOLV_H\)[	 (].*,\1define\2 1 ,
1053s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_DLFCN_H\)[	 (].*,\1define\2 1 ,
1054s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_STRFTIME\)[	 (].*,\1define\2 1 ,
1055s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_STRDUP\)[	 (].*,\1define\2 1 ,
1056s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_STRNDUP\)[	 (].*,\1define\2 1 ,
1057s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_STRERROR\)[	 (].*,\1define\2 1 ,
1058s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_STRFTIME\)[	 (].*,\1define\2 1 ,
1059s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_LOCALTIME\)[	 (].*,\1define\2 1 ,
1060s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_GETTIMEOFDAY\)[	 (].*,\1define\2 1 ,
1061s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_FTIME\)[	 (].*,\1define\2 1 ,
1062s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_STAT\)[	 (].*,\1define\2 1 ,
1063s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_SIGNAL\)[	 (].*,\1define\2 1 ,
1064s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_PRINTF\)[	 (].*,\1define\2 1 ,
1065s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_SPRINTF\)[	 (].*,\1define\2 1 ,
1066s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_FPRINTF\)[	 (].*,\1define\2 1 ,
1067s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_SNPRINTF\)[	 (].*,\1define\2 1 ,
1068s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_VFPRINTF\)[	 (].*,\1define\2 1 ,
1069s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_VSPRINTF\)[	 (].*,\1define\2 1 ,
1070s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_VSNPRINTF\)[	 (].*,\1define\2 1 ,
1071s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_SSCANF\)[	 (].*,\1define\2 1 ,
1072s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_VA_COPY\)[	 (].*,\1define\2 1 ,
1073s,^\([	 #]*\)[^	 ]*\([	 ]*XML_SOCKLEN_T\)[	 (].*,\1define\2 socklen_t ,
1074s,^\([	 #]*\)[^	 ]*\([	 ]*SUPPORT_IP6\)[	 (].*,\1define\2  ,
1075s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_GETADDRINFO\)[	 (].*,\1define\2  ,
1076s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_ISNAN\)[	 (].*,\1define\2  ,
1077s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_ISINF\)[	 (].*,\1define\2  ,
1078s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_DLOPEN\)[	 (].*,\1define\2  ,
1079s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_LIBPTHREAD\)[	 (].*,\1define\2  ,
1080s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_PTHREAD_H\)[	 (].*,\1define\2  ,
1081s/ $//
1082s,^[	 #]*u.*,/* & */,
1083CEOF
1084    sed -f "$tmp/defines.sed" "$tmp/out1" >"$tmp/out2"
1085ac_result="$tmp/out2"
1086  if test x"$ac_file" != x-; then
1087    echo "/* $configure_input  */" >"$tmp/config.h"
1088    cat "$ac_result" >>"$tmp/config.h"
1089    if diff $ac_file "$tmp/config.h" >/dev/null 2>&1; then
1090      { echo "$as_me:$LINENO: $ac_file is unchanged" >&5
1091echo "$as_me: $ac_file is unchanged" >&6;}
1092    else
1093      rm -f $ac_file
1094      mv "$tmp/config.h" $ac_file
1095    fi
1096  else
1097    echo "/* $configure_input  */"
1098    cat "$ac_result"
1099  fi
1100  rm -f "$tmp/out12"
1101# Compute $ac_file's index in $config_headers.
1102_am_arg=$ac_file
1103_am_stamp_count=1
1104for _am_header in $config_headers :; do
1105  case $_am_header in
1106    $_am_arg | $_am_arg:* )
1107      break ;;
1108    * )
1109      _am_stamp_count=`expr $_am_stamp_count + 1` ;;
1110  esac
1111done
1112echo "timestamp for $_am_arg" >`$as_dirname -- "$_am_arg" ||
1113$as_expr X"$_am_arg" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1114	 X"$_am_arg" : 'X\(//\)[^/]' \| \
1115	 X"$_am_arg" : 'X\(//\)$' \| \
1116	 X"$_am_arg" : 'X\(/\)' \| . 2>/dev/null ||
1117echo X"$_am_arg" |
1118    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
1119	    s//\1/
1120	    q
1121	  }
1122	  /^X\(\/\/\)[^/].*/{
1123	    s//\1/
1124	    q
1125	  }
1126	  /^X\(\/\/\)$/{
1127	    s//\1/
1128	    q
1129	  }
1130	  /^X\(\/\).*/{
1131	    s//\1/
1132	    q
1133	  }
1134	  s/.*/./; q'`/stamp-h$_am_stamp_count
1135 ;;
1136
1137  :C)  { echo "$as_me:$LINENO: executing $ac_file commands" >&5
1138echo "$as_me: executing $ac_file commands" >&6;}
1139 ;;
1140  esac
1141
1142
1143  case $ac_file$ac_mode in
1144    "depfiles":C) test x"$AMDEP_TRUE" != x"" || for mf in $CONFIG_FILES; do
1145  # Strip MF so we end up with the name of the file.
1146  mf=`echo "$mf" | sed -e 's/:.*$//'`
1147  # Check whether this is an Automake generated Makefile or not.
1148  # We used to match only the files named `Makefile.in', but
1149  # some people rename them; so instead we look at the file content.
1150  # Grep'ing the first line is not enough: some people post-process
1151  # each Makefile.in and add a new line on top of each file to say so.
1152  # Grep'ing the whole file is not good either: AIX grep has a line
1153  # limit of 2048, but all sed's we know have understand at least 4000.
1154  if sed -n 's,^#.*generated by automake.*,X,p' "$mf" | grep X >/dev/null 2>&1; then
1155    dirpart=`$as_dirname -- "$mf" ||
1156$as_expr X"$mf" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1157	 X"$mf" : 'X\(//\)[^/]' \| \
1158	 X"$mf" : 'X\(//\)$' \| \
1159	 X"$mf" : 'X\(/\)' \| . 2>/dev/null ||
1160echo X"$mf" |
1161    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
1162	    s//\1/
1163	    q
1164	  }
1165	  /^X\(\/\/\)[^/].*/{
1166	    s//\1/
1167	    q
1168	  }
1169	  /^X\(\/\/\)$/{
1170	    s//\1/
1171	    q
1172	  }
1173	  /^X\(\/\).*/{
1174	    s//\1/
1175	    q
1176	  }
1177	  s/.*/./; q'`
1178  else
1179    continue
1180  fi
1181  # Extract the definition of DEPDIR, am__include, and am__quote
1182  # from the Makefile without running `make'.
1183  DEPDIR=`sed -n 's/^DEPDIR = //p' < "$mf"`
1184  test -z "$DEPDIR" && continue
1185  am__include=`sed -n 's/^am__include = //p' < "$mf"`
1186  test -z "am__include" && continue
1187  am__quote=`sed -n 's/^am__quote = //p' < "$mf"`
1188  # When using ansi2knr, U may be empty or an underscore; expand it
1189  U=`sed -n 's/^U = //p' < "$mf"`
1190  # Find all dependency output files, they are included files with
1191  # $(DEPDIR) in their names.  We invoke sed twice because it is the
1192  # simplest approach to changing $(DEPDIR) to its actual value in the
1193  # expansion.
1194  for file in `sed -n "
1195    s/^$am__include $am__quote\(.*(DEPDIR).*\)$am__quote"'$/\1/p' <"$mf" | \
1196       sed -e 's/\$(DEPDIR)/'"$DEPDIR"'/g' -e 's/\$U/'"$U"'/g'`; do
1197    # Make sure the directory exists.
1198    test -f "$dirpart/$file" && continue
1199    fdir=`$as_dirname -- "$file" ||
1200$as_expr X"$file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1201	 X"$file" : 'X\(//\)[^/]' \| \
1202	 X"$file" : 'X\(//\)$' \| \
1203	 X"$file" : 'X\(/\)' \| . 2>/dev/null ||
1204echo X"$file" |
1205    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
1206	    s//\1/
1207	    q
1208	  }
1209	  /^X\(\/\/\)[^/].*/{
1210	    s//\1/
1211	    q
1212	  }
1213	  /^X\(\/\/\)$/{
1214	    s//\1/
1215	    q
1216	  }
1217	  /^X\(\/\).*/{
1218	    s//\1/
1219	    q
1220	  }
1221	  s/.*/./; q'`
1222    { as_dir=$dirpart/$fdir
1223  case $as_dir in #(
1224  -*) as_dir=./$as_dir;;
1225  esac
1226  test -d "$as_dir" || { $as_mkdir_p && mkdir -p "$as_dir"; } || {
1227    as_dirs=
1228    while :; do
1229      case $as_dir in #(
1230      *\'*) as_qdir=`echo "$as_dir" | sed "s/'/'\\\\\\\\''/g"`;; #(
1231      *) as_qdir=$as_dir;;
1232      esac
1233      as_dirs="'$as_qdir' $as_dirs"
1234      as_dir=`$as_dirname -- "$as_dir" ||
1235$as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1236	 X"$as_dir" : 'X\(//\)[^/]' \| \
1237	 X"$as_dir" : 'X\(//\)$' \| \
1238	 X"$as_dir" : 'X\(/\)' \| . 2>/dev/null ||
1239echo X"$as_dir" |
1240    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
1241	    s//\1/
1242	    q
1243	  }
1244	  /^X\(\/\/\)[^/].*/{
1245	    s//\1/
1246	    q
1247	  }
1248	  /^X\(\/\/\)$/{
1249	    s//\1/
1250	    q
1251	  }
1252	  /^X\(\/\).*/{
1253	    s//\1/
1254	    q
1255	  }
1256	  s/.*/./; q'`
1257      test -d "$as_dir" && break
1258    done
1259    test -z "$as_dirs" || eval "mkdir $as_dirs"
1260  } || test -d "$as_dir" || { { echo "$as_me:$LINENO: error: cannot create directory $as_dir" >&5
1261echo "$as_me: error: cannot create directory $as_dir" >&2;}
1262   { (exit 1); exit 1; }; }; }
1263    # echo "creating $dirpart/$file"
1264    echo '# dummy' > "$dirpart/$file"
1265  done
1266done
1267 ;;
1268
1269  esac
1270done # for ac_tag
1271
1272
1273{ (exit 0); exit 0; }
1274